format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/1726


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 3701702
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 8450e7f53f7aa1607d22e049d60f31b5a7abdbc7
    - input_file: 'b-partial-2.diff'
      commit_sha1: 3e295c835447a2a9b9b44e76ed1254c5f384b2e9
    - input_file: 'b-partial-3.diff'
      commit_sha1: c6c76e7ebaebb58d22b9f09d9a394ef6443c7e48

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: d0e36ee674b5b7aacdf93932fb3f43f659b5849a

options:
  language: C
